"""
Contains IPFire class
"""

import requests
from distro import Distro

class IPFire(Distro):
    """IPFire class"""
    @staticmethod
    def check(data, distro):
        ipfire_url = "https://mirrors.ipfire.org/mirrors/mirror.csclub.uwaterloo.ca"
        ipfire_text = requests.get(ipfire_url).text
        return ipfire_text.find("The mirror is up") != -1
